=== debian/changelog ===
ibm-3270 (3.3.10ga4-2build2) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:38:45 +0100

ibm-3270 (3.3.10ga4-2build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:25:38 +0100

ibm-3270 (3.3.10ga4-2) unstable; urgency=low

  * Fix section to match override.
  * Use debhelper compat level 7.
  * Use 3.0 (quilt) source format.

 -- Bastian Blank <waldi@debian.org>  Mon, 14 Dec 2009 11:48:53 +0000

ibm-3270 (3.3.10ga4-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Mon, 23 Nov 2009 15:02:24 +0100
